VismaBouwsoftAPICalls.v1_GET_ProductGroups Method
v1_GET_ProductGroups() as String

This API call is used to get fields of a(n) ProductGroup(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /ProductGroups/
or
API Path: /ProductGroups/{id}
or
API Path: /ProductGroups/FieldInfo/

You can make this API call:
* without the key field id to get a list of ProductGroups
* with the key field id as the path parameter (the specific id of the ProductGroup you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 50 No Yes No
list_id 1 tpLong 0 No No No
list_name 2 tpString 50 No No No
list_active 5 tpBool 0 No No No
used 5 tpBool 0 No No No

/ProductGroups/

API Path: /ProductGroups/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProductGroups

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PDlfWxftDOzSfIkmPfzRqlrtfAUAGfIGfVIbzkDbVmjfOlmUlm

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/8241”, “Records”: [
  {
    "id": 19,
    "name": "01 Levis",
    "list_id": 5,
    "list_name": "VERF",
    "list_active": true,
    "used": true
  },
  {
    "id": 22,
    "name": "Oliecondensatieketel",
    "list_id": 7,
    "list_name": "CV KETELS EN TOEBEHOREN",
    "list_active": true,
    "used": true
  }
,

]
}

/ProductGroups/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProductGroups/9031

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lIAfWxfAUjzSfIVVUfzRqDlmfmOGGfGPfrfbzDttUmIfIOAmrm

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 9031,
    "name": "Colora",
    "list_id": 5,
    "list_name": "VERF",
    "list_active": true,
    "used": false
  }
]
}

/ProductGroups/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProductGroups/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "list_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]